Index: issm/trunk-jpl/src/m/classes/spheremesh.m
===================================================================
--- issm/trunk-jpl/src/m/classes/spheremesh.m	(revision 17559)
+++ issm/trunk-jpl/src/m/classes/spheremesh.m	(revision 19040)
@@ -22,13 +22,13 @@
 	end
 	methods
-		function obj = spheremesh(varargin) % {{{
+		function self = spheremesh(varargin) % {{{
 			switch nargin
 				case 0
-					obj=setdefaultparameters(obj);
+					self=setdefaultparameters(self);
 				otherwise
 					error('constructor not supported');
 			end
 		end % }}}
-		function obj = setdefaultparameters(obj) % {{{
+		function self = setdefaultparameters(self) % {{{
 
 			%the connectivity is the avergaded number of nodes linked to a
@@ -37,7 +37,7 @@
 			%give a good memory/time ration. This value can be checked in
 			%trunk/test/Miscellaneous/runme.m
-			obj.average_vertex_connectivity=25;
+			self.average_vertex_connectivity=25;
 		end % }}}
-		function md = checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(self,md,solution,analyses) % {{{
 
 			md = checkfield(md,'fieldname','spheremesh.x','NaN',1,'size',[md.spheremesh.numberofvertices 1]);
@@ -57,39 +57,39 @@
 			md = checkfield(md,'fieldname','spheremesh.elementconnectivity','size',[md.spheremesh.numberofelements 3],'NaN',1);
 		end % }}}
-		function disp(obj) % {{{
+		function disp(self) % {{{
 			disp(sprintf('   Mesh:')); 
 
 			disp(sprintf('\n      Elements and vertices:'));
-			fielddisplay(obj,'numberofelements','number of elements');
-			fielddisplay(obj,'numberofvertices','number of vertices');
-			fielddisplay(obj,'elements','vertex indices of the mesh elements');
-			fielddisplay(obj,'x','vertices x coordinate [m]');
-			fielddisplay(obj,'y','vertices y coordinate [m]');
-			fielddisplay(obj,'z','vertices z coordinate [m]');
-			fielddisplay(obj,'r','vertices r coordinate [m]');
-			fielddisplay(obj,'theta','vertices theta coordinate [degrees]');
-			fielddisplay(obj,'phi','vertices phi coordinate [degrees]');
+			fielddisplay(self,'numberofelements','number of elements');
+			fielddisplay(self,'numberofvertices','number of vertices');
+			fielddisplay(self,'elements','vertex indices of the mesh elements');
+			fielddisplay(self,'x','vertices x coordinate [m]');
+			fielddisplay(self,'y','vertices y coordinate [m]');
+			fielddisplay(self,'z','vertices z coordinate [m]');
+			fielddisplay(self,'r','vertices r coordinate [m]');
+			fielddisplay(self,'theta','vertices theta coordinate [degrees]');
+			fielddisplay(self,'phi','vertices phi coordinate [degrees]');
 
 			disp(sprintf('\n      Properties:'));
-			fielddisplay(obj,'numberoflayers','number of extrusion layers');
+			fielddisplay(self,'numberoflayers','number of extrusion layers');
 
-			fielddisplay(obj,'vertexconnectivity','list of vertices connected to vertex_i');
-			fielddisplay(obj,'elementconnectivity','list of vertices connected to element_i');
-			fielddisplay(obj,'average_vertex_connectivity','average number of vertices connected to one vertex');
+			fielddisplay(self,'vertexconnectivity','list of vertices connected to vertex_i');
+			fielddisplay(self,'elementconnectivity','list of vertices connected to element_i');
+			fielddisplay(self,'average_vertex_connectivity','average number of vertices connected to one vertex');
 
 		end % }}}
-		function marshall(obj,md,fid) % {{{
-			WriteData(fid,'object',obj,'fieldname','x','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','y','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','z','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','r','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','theta','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','phi','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','elements','format','DoubleMat','mattype',2);
-			WriteData(fid,'object',obj,'fieldname','numberoflayers','format','Integer');
-			WriteData(fid,'object',obj,'fieldname','numberofelements','format','Integer');
-			WriteData(fid,'object',obj,'fieldname','numberofvertices','format','Integer');
-			WriteData(fid,'object',obj,'fieldname','elementconnectivity','format','DoubleMat','mattype',3);
-			WriteData(fid,'object',obj,'fieldname','average_vertex_connectivity','format','Integer');
+		function marshall(self,md,fid) % {{{
+			WriteData(fid,'object',self,'fieldname','x','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','y','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','z','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','r','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','theta','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','phi','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',self,'fieldname','elements','format','DoubleMat','mattype',2);
+			WriteData(fid,'object',self,'fieldname','numberoflayers','format','Integer');
+			WriteData(fid,'object',self,'fieldname','numberofelements','format','Integer');
+			WriteData(fid,'object',self,'fieldname','numberofvertices','format','Integer');
+			WriteData(fid,'object',self,'fieldname','elementconnectivity','format','DoubleMat','mattype',3);
+			WriteData(fid,'object',self,'fieldname','average_vertex_connectivity','format','Integer');
 		end % }}}
 	end
